import React, { Component } from 'react'
import { NavLink } from 'react-router-dom';
import styles from './index.scss'

export default class NavLinks extends Component {
    render() {
        const { pathUrl, active, icoName, linkName, ...rest } = this.props;
        return (
            <NavLink
                {...rest}
                to={pathUrl}
                activeClassName={active}
                className={styles.root}
            >
                <i className={icoName + ' ' + styles.ico} />
                <span className={styles.text}>{linkName}</span>
            </NavLink>
        )
    }
}