import React, { Component } from 'react';
import NavLink from './NavLink';
import './index.scss';

export default class Nav extends Component {
    render() {
        return (
            <div>
                <div style={{ height: '50px' }}></div>
                <div className="root">
                    <NavLink
                        pathUrl="/"
                        exact
                        icoName={"iconfont iconshouye"}
                        active={"navOne"}
                        linkName="首页"
                    />
                    <NavLink
                        pathUrl="/classify"
                        icoName="iconfont iconiconfront-16"
                        active={"navTwo"}
                        linkName="分类"
                    />
                    <NavLink
                        pathUrl="/study"
                        icoName="iconfont iconxuexi"
                        active={"navThree"}
                        linkName="学习"
                    />
                    <NavLink
                        pathUrl="/my"
                        icoName="iconfont iconhome"
                        active={"navFour"}
                        linkName="我的"
                    />
                </div>
            </div>
        )
    }
}